About PIT

 Top Next

Purpose

Simple Pavlovian-to-instrumental transfer (PIT).

Software requirements

Requires Whisker v2.0 or greater.

Data storage

· Text-based output to disk.
· ODBC data storage to a database (supplied).

Author

Rudolf Cardinal (rudolf@pobox.com).

Copyright

Copyright © Cambridge University Technical Services Ltd

Version history

· Version 1.1: majority of development done under this number.
· Version 2.0 (Aug-Sep 2002): default ODBC database facility; integrated HTML help
· Version 2.1: fixed minor bug (unsaved dialogue parameters when picking ODBC database)
· Version 2.2 (10 Dec 2002):
· option to use stimulus as discriminative stimulus rather than true Pavlovian CS in the Pavlovian phase (specifically, as an SD indicating that nosepoking will be reinforced; instead of running an RT schedule, it's an RI schedule of reinforcing nosepoking) as requested by Pat di Ciano.
· Also, option to have houselight off during CS but on at other times...
· ... and conversion to XML parameters.
· Version 2.3 (22 Nov 2003): writes version number and compilation date to summary file.
· Version 2.4 (16-21 June 2006) and v2.5 (22 June 2006): more flexible options for the stimuli; more options for neutral stimulus presentation in the Pavlovian phase; more options for the order of the transfer test; option for FI instrumental training.
· Version 2.6 (27 June 2006). Houselight state at the end of the task was "leave as during the task"; now an option in its own right.
· Version 2.7 (8 March 2007). Easier compilation for users.
· Version 3.0 (12 Jan 2009). Server default changed from "loopback" to "localhost" (Windows Vista compatibility and more general standardization).


Required devices

 Top Previous Next

The program requires to claim devices in groups named box0, box1, box2… with device names as listed below in bold:

// Names of lines the program expects to be able to claim

NOSEPOKE // input

LEFTLEVER // input

RIGHTLEVER // input

LOCOBEAM_FRONT // input

LOCOBEAM_MIDDLE // input

LOCOBEAM_REAR // input

HOUSELIGHT // output

PUMP // output

DIPPER // output

LEFTLEVERCONTROL // output

RIGHTLEVERCONTROL // output

LEFTLIGHT // output

RIGHTLIGHT // output

PELLET // output

TRAYLIGHT // output

CENTRELIGHT // output

CLICKER // output

TONE // output

// Aliases used while the program is in full flight, which it therefore expects not to be present on the server:

StimulusOne

StimulusTwo

ActiveLever

ActiveLeverControl

LeverLight

OppositeLight

Please ensure that these devices are available and listed in the device definition file in use by the server.

This is the type of operant chamber we're talking about:


Using the task

 Top Previous Next

When you run the task, the main screen looks as follows:

You must connect to a Whisker server, claim an operant chamber (box), and set up the parameters for your task. Once that's done, the traffic lights will turn amber. When you are ready, press Start to begin the task.

When the task finishes, it saves data to disk and pops up a new dialogue box for you to select a database to store the data to. (The data sources are configured under Control Panel → ODBC.) If you previously specified an ODBC data source in the parameters, that data source is used automatically and you will only see a dialogue box if something goes wrong and the program needs your input.


Parameters

 Top Previous Next

The parameters dialogue box looks like this:

To pick an ODBC database in advance of finishing, click Pick and you will be offered the ODBC Data Source picker (below). Your choice will be recorded and will apply to this subject from now on (or until you specify a different source).

If you don't specify an ODBC data source now, or you delete the value in the "ODBC data source name" box, you'll be asked to choose when the task ends (and that choice will only apply to the session in progress).

What happens if you can't find an appropriate ODBC source?


Creating a new ODBC source

 Top Previous

What happens if you can't find an ODBC source? You should configure it via Control Panel → ODBC. Alternatively, you can set one up "on the fly", as explained here.

Suppose you're looking for a PIT database. But there isn't one...

Let's assume that you have already made a working copy of the prototype database supplied with the task. How do we go about setting this up as an ODBC data source?

Click New.

Choose a User or System data source. User is probably more sensible. Click Next.

Choose your database driver. Click Next.

Click Finish.

You should fill in the Data Source Name (no spaces) and the description, and Select a database. When you click Select, this dialogue box appears:

Choose your database here and click OK. Your ODBC data source fields should now all be set up:

Click OK. You will be returned to the ODBC selection screen with your new data source now available.